[tor-commits] [tor/master] Have checkSpaceTest.sh exit as skipped when on Windows

teor at torproject.org teor at torproject.org
Tue Dec 3 02:58:41 UTC 2019


commit 8a10a7487006b24849999858d3d3a8db491859ca
Author: Nick Mathewson <nickm at torproject.org>
Date:   Mon Dec 2 12:43:10 2019 -0500

    Have checkSpaceTest.sh exit as skipped when on Windows
    
    Managing line-ending issues for this one isn't worth it.
---
 scripts/maint/checkSpaceTest.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/scripts/maint/checkSpaceTest.sh b/scripts/maint/checkSpaceTest.sh
index a1eea58eb..e1d207a1a 100755
--- a/scripts/maint/checkSpaceTest.sh
+++ b/scripts/maint/checkSpaceTest.sh
@@ -7,6 +7,19 @@
 umask 077
 set -e
 
+# Skip this test if we're running on Windows; we expect line-ending
+# issues in that case.
+case "$(uname -s)" in
+    CYGWIN*) WINDOWS=1;;
+    MINGW*) WINDOWS=1;;
+    MSYS*) WINDOWS=1;;
+    *) WINDOWS=0;;
+esac
+if test "$WINDOWS" = 1; then
+    # This magic value tells automake that the test has been skipped.
+    exit 77
+fi
+
 # make a safe space for temporary files
 DATA_DIR=$(mktemp -d -t tor_checkspace_tests.XXXXXX)
 trap 'rm -rf "$DATA_DIR"' 0





More information about the tor-commits mailing list